just(1)

NAME
just - 🤖 Just a command runner - https://github.com/casey/just

SYNOPSIS
just [--check] [--chooser] [--color] [--command-color] [--yes] [-n|--dry-run] [--dump-format] [--highlight] [--list-heading] [--list-prefix] [--list-submodules] [--no-aliases] [--no-deps] [--no-dotenv] [--no-highlight] [-f|--justfile] [-q|--quiet] [--set] [--shell] [--shell-arg] [--shell-command] [--clear-shell-args] [-u|--unsorted] [--unstable] [-v|--verbose]... [-d|--working-directory] [--changelog] [--choose] [-c|--command] [--completions] [--dump] [-e|--edit] [--evaluate] [--fmt] [--init] [-l|--list] [--groups] [--man] [-s|--show] [--summary] [--variables] [--dotenv-filename] [-E|--dotenv-path] [-g|--global-justfile] [--timestamp] [--timestamp-format] [-h|--help] [-V|--version] [ARGUMENTS]

DESCRIPTION
🤖 Just a command runner - https://github.com/casey/just

OPTIONS

--check
    Run `--fmt` in 'check' mode. Exits with 0 if justfile is formatted correctly. Exits with 1 and prints a diff if formatting is required.

--chooser
    Override binary invoked by `--choose`
    May also be specified with the JUST_CHOOSER environment variable.

--color [default: auto]
    Print colorful output
    [possible values: auto, always, never]
    May also be specified with the JUST_COLOR environment variable.

--command-color
    Echo recipe lines in <COMMAND-COLOR>
    [possible values: black, blue, cyan, green, purple, red, yellow]
    May also be specified with the JUST_COMMAND_COLOR environment variable.

--yes
    Automatically confirm all recipes.

-n, --dry-run
    Print what just would do without doing it
    May also be specified with the JUST_DRY_RUN environment variable.

--dump-format=FORMAT [default: just]
    Dump justfile as <FORMAT>
    [possible values: just, json]

--highlight
    Highlight echoed recipe lines in bold

--list-heading=TEXT
    Print <TEXT> before list

--list-prefix=TEXT
    Print <TEXT> before each list item

--list-submodules
    List recipes in submodules
    May also be specified with the JUST_LIST_SUBMODULES environment variable.

--no-aliases
    Don't show aliases in list

--no-deps
    Don't run recipe dependencies

--no-dotenv
    Don't load `.env` file

--no-highlight
    Don't highlight echoed recipe lines in bold

-f, --justfile
    Use <JUSTFILE> as justfile
    May also be specified with the JUST_JUSTFILE environment variable.

-q, --quiet
    Suppress all output
    May also be specified with the JUST_QUIET environment variable.

--set=VARIABLE VALUE
    Override <VARIABLE> with <VALUE>

--shell
    Invoke <SHELL> to run recipes

--shell-arg
    Invoke shell with <SHELL-ARG> as an argument

--shell-command
    Invoke <COMMAND> with the shell used to run recipe lines and backticks

--clear-shell-args
    Clear shell arguments

-u, --unsorted
    Return list and summary entries in source order

--unstable
    Enable unstable features
    May also be specified with the JUST_UNSTABLE environment variable.

-v, --verbose
    Use verbose output
    May also be specified with the JUST_VERBOSE environment variable.

-d, --working-directory
    Use <WORKING-DIRECTORY> as working directory. --justfile must also be set
    May also be specified with the JUST_WORKING_DIRECTORY environment variable.

--changelog
    Print changelog

--choose
    Select one or more recipes to run using a binary chooser. If `--chooser` is not passed the chooser defaults to the value of $JUST_CHOOSER, falling back to `fzf`

-c, --command
    Run an arbitrary command with the working directory, `.env`, overrides, and exports set

--completions=SHELL
    Print shell completion script for <SHELL>
    [possible values: bash, elvish, fish, nushell, powershell, zsh]

--dump
    Print justfile

-e, --edit
    Edit justfile with editor given by $VISUAL or $EDITOR, falling back to `vim`

--evaluate
    Evaluate and print all variables. If a variable name is given as an argument, only print that variable's value.

--fmt
    Format and overwrite justfile

--init
    Initialize new justfile in project root

-l, --list=PATH
    List available recipes

--groups
    List recipe groups

--man
    Print man page

-s, --show=PATH
    Show recipe at <PATH>

--summary
    List names of available recipes

--variables
    List names of variables

--dotenv-filename
    Search for environment file named <DOTENV-FILENAME> instead of `.env`

-E, --dotenv-path
    Load <DOTENV-PATH> as environment file instead of searching for one

-g, --global-justfile
    Use global justfile

--timestamp
    Print recipe command timestamps
    May also be specified with the JUST_TIMESTAMP environment variable.

--timestamp-format [default: %H:%M:%S]
    Timestamp format string
    May also be specified with the JUST_TIMESTAMP_FORMAT environment variable.

-h, --help
    Print help

-V, --version
    Print version

[ARGUMENTS]
    Overrides and recipe(s) to run, defaulting to the first recipe in the justfile

VERSION
v1.29.0

AUTHORS
Casey Rodarmor <casey@rodarmor.com>